description

# EventStreamProvider<T extends Event> class Null safety

A factory to expose DOM events as Streams.

## Constructors

EventStreamProvider(String _eventType)
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

forElement(Element e, {bool useCapture: false}) → ElementStream<T>
  Gets an `ElementEventStream` for this event type, on the specified element. [...]
forTarget(EventTarget? e, {bool useCapture: false}) → Stream<T>
  Gets a Stream for this event type, on the specified target. [...]
getEventType(EventTarget target) → String
  Gets the type of the event which this would listen for on the specified event target. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited